Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[Solved]Upgrade to 17.1 from 17.0 problem:UnicodeEncodeError
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Installing Gentoo
View previous topic :: View next topic  
Author Message
ramlife
n00b
n00b


Joined: 24 Feb 2018
Posts: 26

PostPosted: Sun Jun 16, 2019 5:46 am    Post subject: [Solved]Upgrade to 17.1 from 17.0 problem:UnicodeEncodeError Reply with quote

Hi everyone, I'm trying to upgrade to 17.1 from 17.0, but I'm running into an error during the finish. Any help would be appreciated.

The error message:
Code:

/usr/lib/python-exec/python3.6/unsymlink-lib -p --finish

...
rm -d /usr/lib64/go/test/fixedbugs/issue5957.dir/c.go
rm -d /usr/lib64/go/test/fixedbugs/issue5957.dir/b.go
rm -d /usr/lib64/go/test/fixedbugs/issue5957.dir/a.go
rm -d /usr/lib64/go/test/fixedbugs/bug437.dir/one.go
rm -d /usr/lib64/go/test/fixedbugs/bug437.dir/x.go
rm -d /usr/lib64/go/test/fixedbugs/bug437.dir/two.go
Traceback (most recent call last):
  File "/usr/lib/python-exec/python3.6/unsymlink-lib", line 819, in <module>
    main()
  File "/usr/lib/python-exec/python3.6/unsymlink-lib", line 782, in main
    m.finish(pretend=args.pretend, resume=args.action.endswith('resume'))
  File "/usr/lib/python-exec/python3.6/unsymlink-lib", line 585, in finish
    out('rm -d {}', fp)
  File "/usr/lib/python-exec/python3.6/unsymlink-lib", line 41, in out
    _log(template, *args, **kwargs)
  File "/usr/lib/python-exec/python3.6/unsymlink-lib", line 30, in _log
    **kwargs
UnicodeEncodeError: 'ascii' codec can't encode character '\xc4' in position 50: ordinal not in range(128)


Last edited by ramlife on Sun Jun 16, 2019 12:07 pm; edited 1 time in total
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 24078
Location: here

PostPosted: Sun Jun 16, 2019 8:09 am    Post subject: Reply with quote

What app-portage/unsymlink-lib version you installed? See https://bugs.gentoo.org/686450
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
ramlife
n00b
n00b


Joined: 24 Feb 2018
Posts: 26

PostPosted: Sun Jun 16, 2019 11:42 am    Post subject: Reply with quote

fedeliallalinea wrote:
What app-portage/unsymlink-lib version you installed? See https://bugs.gentoo.org/686450


unsymlink-lib version is 15.

Code:

emerge -pv unsymlink-lib

[ebuild   R    ] app-portage/unsymlink-lib-15::gentoo

Back to top
View user's profile Send private message
ramlife
n00b
n00b


Joined: 24 Feb 2018
Posts: 26

PostPosted: Sun Jun 16, 2019 12:06 pm    Post subject: Reply with quote

fedeliallalinea wrote:
What app-portage/unsymlink-lib version you installed? See https://bugs.gentoo.org/686450


ok, i know where the error is.

The locale is "POSIX".

Then i edit the /etc/env.d/02locale,
Code:

LANG="de_DE.UTF-8"
LC_COLLATE="C"


And env-update && source /etc/profile.

Then it works.

Thanks very much!!!
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Installing Gentoo All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum